API Documentation |
Page

Package | org.alivepdf.pages
Class | public final class Page
Inheritance | Page Object

Public Properties

| Property | Defined By
--- | --- | ---
|  | annotations : String | Page
|  | content : String | Page
|  | h : Number | Page
|  | height : Number | Page
|  | hPt : Number | Page
|  | orientation : String [read-only] | Page
|  | page : int [read-only] | Page
|  | rotation : Number | Page
|  | size : Size | Page
|  | transitions : String | Page
|  | w : Number | Page
|  | width : Number | Page
|  | wPt : Number | Page

Public Methods

| Method | Defined By
--- | --- | ---
|  | Page(pOrientation:String, unit:String = Mm, size:Object = null, pRotation:Number = 0) | Page
|  | addTransition(style:String = R, duration:Number = 1, dimension:String = H, motionDirection:String = I, transitionDirection:int = 0):void | Page
|  | clone():Page | Page
|  | resize(width:Number, height:Number):void Lets you resize the Page dimensions | Page
|  | rotate(pRotation:Number):void | Page
|  | setUnit(unit:String):String | Page
|  | toString():String | Page

Property Detail

annotations | property

`annotations:String`

Implementation
`public function get annotations():String`
`public function set annotations(value:String):void`

content | property |

`content:String`

Implementation
`public function get content():String`
`public function set content(value:String):void`

h | property |

`h:Number`

Implementation
`public function get h():Number`
`public function set h(value:Number):void`

height | property |

`height:Number`

Implementation
`public function get height():Number`
`public function set height(value:Number):void`

hPt | property |

`hPt:Number`

Implementation
`public function get hPt():Number`
`public function set hPt(value:Number):void`

orientation | property |

`orientation:String` [read-only]

Implementation
`public function get orientation():String`

page | property |

`page:int` [read-only]

Implementation
`public function get page():int`

rotation | property |

`rotation:Number`

Implementation
`public function get rotation():Number`
`public function set rotation(value:Number):void`

size | property |

`size:Size`

Implementation
`public function get size():Size`
`public function set size(value:Size):void`

transitions | property |

`transitions:String`

Implementation
`public function get transitions():String`
`public function set transitions(value:String):void`

w | property |

`w:Number`

Implementation
`public function get w():Number`
`public function set w(value:Number):void`

width | property |

`width:Number`

Implementation
`public function get width():Number`
`public function set width(value:Number):void`

wPt | property |

`wPt:Number`

Implementation
`public function get wPt():Number`
`public function set wPt(value:Number):void`
Constructor Detail

Page | () | Constructor

`public function Page(pOrientation:String, unit:String = Mm, size:Object = null, pRotation:Number = 0)`

Parameters

| `pOrientation:String`
| `unit:String` (default = `Mm`)``
| `size:Object` (default = `null`)``
| `pRotation:Number` (default = `0`)``

Method Detail

addTransition | () | method

`public function addTransition(style:String = R, duration:Number = 1, dimension:String = H, motionDirection:String = I, transitionDirection:int = 0):void`

Parameters

| `style:String` (default = `R`)``
| `duration:Number` (default = `1`)``
| `dimension:String` (default = `H`)``
| `motionDirection:String` (default = `I`)``
| `transitionDirection:int` (default = `0`)``

clone | () | method |

`public function clone():Page`

Returns

| `Page` — Page

Example
This example shows how to clone a page :

resize | () | method |

`public function resize(width:Number, height:Number):void`

Lets you resize the Page dimensions

Parameters

| `width:Number`
| `height:Number`

rotate | () | method |

`public function rotate(pRotation:Number):void`

Parameters

| `pRotation:Number`

setUnit | () | method |

`public function setUnit(unit:String):String`

Parameters

| `unit:String`

Returns

| `String`

toString | () | method |

`public function toString():String`

Returns

| `String`

Mon Oct 17 2011, 09:13 PM -04:00